package controller

import (
	"campaign-pool-be/app/module/campaign_types/service"
	"github.com/rs/zerolog"
)

type Controller struct {
	CampaignTypes CampaignTypesController
}

func NewController(CampaignTypesService service.CampaignTypesService, log zerolog.Logger) *Controller {
	return &Controller{
		CampaignTypes: NewCampaignTypesController(CampaignTypesService, log),
	}
}

